## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global srcname django-mailman3

Name:           python-%{srcname}
Version:        1.3.9
Release:        %autorelease
Summary:        Django library to help interaction with Mailman
License:        GPL-3.0-or-later
URL:            https://gitlab.com/mailman/django-mailman3
Source:         %{pypi_source %{srcname}}
Patch:          %{srcname}-localdeps.patch
# mark as compatible with Django 4.2
# see https://gitlab.com/mailman/django-mailman3/-/commit/ba432fc6964dd017718c772b1c729ba23dbc9043
Patch:          %{srcname}-django42.diff
# remove usage of assertEquals for Python 3.12 
# https://gitlab.com/mailman/django-mailman3/-/merge_requests/214
Patch:          django-mailman3-py312-no-assertEquals.diff

BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools

%global _description %{expand:
This package contains libraries and templates for Django-based interfaces
interacting with Mailman.

To use this application, add django_mailman3 to the INSTALLED_APPS list in your
Django server’s settings file.}

%description %{_description}


%package -n python%{python3_pkgversion}-%{srcname}
Summary:        %{summary}

%description -n python%{python3_pkgversion}-%{srcname} %{_description}


%prep
%autosetup -p1 -n %{srcname}-%{version}


%generate_buildrequires
%pyproject_buildrequires -t


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files django_mailman3


%check
# Tests want to be run locally
PYTHONPATH=.:${PYTHONPATH} %tox


%files -n  python%{python3_pkgversion}-%{srcname} -f %{pyproject_files}
%license COPYING.txt
%doc README.rst


%changelog
* Fri Jul 21 2023 Michel Alexandre Salim <salimma@fedoraproject.org> - 1.3.9-1
- Update to 1.3.9
- Mark as compatible with Django 4.2
- Patch for running tests under Python 3.12 (rhbz#2220195)
- Use SPDX license identifier

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Feb 23 2023 Michel Alexandre Salim <salimma@fedoraproject.org> - 1.3.8-1
- Update to 1.3.8

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.7-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Oct 06 2022 Tomas Hrcka <thrcka@redhat.com> - 1.3.7-4
- Unretirement request: https://pagure.io/releng/issue/11072

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Dec 08 2021 Michel Alexandre Salim <salimma@fedoraproject.org> - 1.3.7-1
- Initial Fedora package
